Bug 12016 - cleanupd terminates main smbd on exit
cleanupd terminates main smbd on exit
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-10 18:17 UTC by Ralph Böhme
Modified: 2016-08-05 07:40 UTC (History)
3 users (show)

See Also:


Attachments
Patch for 4.4 backported from master (3.91 KB, patch)
2016-08-02 09:24 UTC, Ralph Böhme
metze: review+
slow: review? (vl)
slow: review? (jra)
Details
Patch for 4.3 backported from master (2.62 KB, patch)
2016-08-02 09:31 UTC, Ralph Böhme
metze: review+
slow: review? (jra)
slow: review? (vl)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2016-07-10 18:17:22 UTC
cleanupd (and notifyd and mdssd) call reinit_after_fork() which leaves am_parent intact. As a result when exitting installed atexit handler killkids() will be called doing signal(0,SIGTERM), sending SIGTERM to all processes in its process group, main smbd being one of them.

Simple fix: call smbd_ reinit_after_fork() instead.

Have patch, need bugnumber.
Comment 1 Ralph Böhme 2016-08-02 09:24:03 UTC
Created attachment 12300 [details]
Patch for 4.4 backported from master
Comment 2 Ralph Böhme 2016-08-02 09:31:38 UTC
Created attachment 12301 [details]
Patch for 4.3 backported from master
Comment 3 Karolin Seeger 2016-08-03 07:54:53 UTC
Pushed to autobuild-v4-[4|3]-test.
Comment 4 Karolin Seeger 2016-08-05 07:40:02 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!